# Accessibility: Text-to-Speech and Image Button Labels

## Description:

Screens support the use of text-to-speech as provided by the operating system (e.g. Windows, Android). Image buttons are labeled appropriately for speech readers.

## Step-by-Step Procedure:

1. **Enable text-to-speech on your operating system:**
    - **Windows:** Go to `Settings > Ease of Access > Narrator` and turn on the Narrator.
    - **Android:** Go to `Settings > Accessibility > Text-to-Speech Output` and enable text-to-speech.
2. Launch Ustad app
3. Click on "Existing User" button
4. Click on "Enter link manually" button
5. Enter the site link.
6. Login to app as admin.
7. Navigate through various screens in the app: Ensure that text content is read aloud accurately by the text-to-speech feature.
8. Check that each image button has an appropriate label that is read by the text-to-speech.
9. Labels should be descriptive of the button's function (e.g., "Submit," "Open Menu").
10. Confirm that the text-to-speech correctly announces the button labels when focused or hovered over.
11. Ensure that all text-based content (e.g., menu options, labels) is read correctly.
12. Verify that dynamic content updates are announced by text-to-speech as needed.
13. Navigate between screens and interact with different elements to ensure consistent text-to-speech functionality.
